GNU bug report logs - #41462
Found a bug

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: serious; Reported by: james@HIDDEN; merged with #41449, #41457; Done: Tobias Geerinckx-Rice <me@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.
Merged 41449 41457 41462. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'serious' from 'normal' Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41462 <at> debbugs.gnu.org:


Received: (at 41462) by debbugs.gnu.org; 23 May 2020 12:07:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 23 08:07:06 2020
Received: from localhost ([127.0.0.1]:33566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jcSvi-0002HM-9d
	for submit <at> debbugs.gnu.org; Sat, 23 May 2020 08:07:06 -0400
Received: from tobias.gr ([80.241.217.52]:33674)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1jcSvg-0002HE-Dw
 for 41462 <at> debbugs.gnu.org; Sat, 23 May 2020 08:07:05 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 21a054c6;
 Sat, 23 May 2020 12:07:04 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:message-id:date:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=e1ljnE5DU9Va7idLp54MQg
 2Qqus61MpiSnWFu9flPgw=; b=bTSTL4Ygrwo5a1Bm/ufj8G3lIVHE6CWe+DX+qM
 2G4bQJynhHLgMAgRYR0BLYZhdpOrt2llvgs+CTO/VahcCFRBJINx8N4qEHTsLjoA
 a7sG0Caph7dcCZKYj1TBtWCaG8tSjT7HaO5Nhe3Txo1d+JQ+ApQDyzx8TJZudqiO
 d5VgUv1Ka8y2UCkwCAGWzbSatgopMBN5+gieIvWKts9j6wasA/o6qHzjeMNIvG0F
 oi+dNUI1pvwyjmw6zKUjIsSOU3Kk1uKdmV9YpxMJjKyAVg/ArKeIF7aFpMDlzLZi
 hdcc3icM7cdWKD+95/nSU2sBLj6tmEgnVZNos1T4xEIozIEw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 0890c20e
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Sat, 23 May 2020 12:07:03 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: james@HIDDEN
Subject: Re: bug#41462: Found a bug
References: <20200522161701.Horde.aMO_CkGRKULMy9YUGZxNmsn@HIDDEN>
In-reply-to: <20200522161701.Horde.aMO_CkGRKULMy9YUGZxNmsn@HIDDEN>
Message-ID: <87eerax3bt.fsf@nckx>
Date: Sat, 23 May 2020 14:07:02 +0200
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41462
Cc: 41462 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

James,

james@HIDDEN =E5=86=99=E9=81=93=EF=BC=9A
> I ran into the following error running a `guix pull` this=20
> morning:

This should be fixed on your next pull:=20
<https://issues.guix.gnu.org/41457#4>.

Thanks for the report!

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXskR5gAKCRANsP+IT1Vt
ecZeAP0XFBo7d2Ct36EBn8NK81sroi2beyj+gSV9s6Sh8yNTCQEAtGupqnvSIjeK
z6MWg/KumM/QQnFewEt3BrcyTORqvAY=
=nTnI
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#41462; Package guix. Full text available.
bug closed, send any further explanations to 41462 <at> debbugs.gnu.org and james@HIDDEN Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 May 2020 16:27:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 22 12:27:21 2020
Received: from localhost ([127.0.0.1]:60127 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jcAVy-0000KO-Bh
	for submit <at> debbugs.gnu.org; Fri, 22 May 2020 12:27:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:57312)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <james@HIDDEN>) id 1jcAN6-00006l-GE
 for submit <at> debbugs.gnu.org; Fri, 22 May 2020 12:18:08 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40732)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <james@HIDDEN>) id 1jcAN6-0007iu-8X
 for bug-guix@HIDDEN; Fri, 22 May 2020 12:18:08 -0400
Received: from nl101-3.vfemail.net ([149.210.219.33]:52543)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <james@HIDDEN>) id 1jcAN5-0006Uw-19
 for bug-guix@HIDDEN; Fri, 22 May 2020 12:18:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=simple; d=vfemail.net; h=date
 :message-id:from:to:subject:content-type:mime-version
 :content-transfer-encoding; s=2018; bh=A5VB5Z5re5tYKeE6cC44QJ7UY
 c3Fi1CcN2MoPit7DaQ=; b=HgYxA63l0J6MPH4B/xP1zXEnuPbDUMI2yCGgRojXn
 UorWKHF6iXximrURI0K1Nhy6TGuTfSu/qhtxo0efs4saTRMCn7qPKRWWKMhPvQIp
 nM4Rn7BP01J1zyCUqy3wqVKZeNTMYfmebdWSlYElfQA5Kyq10HIuR7JTVvdyEGqx
 MI=
Received: (qmail 82993 invoked from network); 22 May 2020 16:17:02 -0000
Received: by simscan 1.4.0 ppid: 82988, pid: 82991, t: 0.1068s scanners:none
Received: from unknown (HELO bG9jYWxob3N0QDE1OTAxNjQyMjI=)
 (amFtZXNAb3Blbm1haWwuY2NAMTU5MDE2NDIyMg==@MTkyLjE2OC4xLjE5MkAxNTkwMTY0MjIy)
 by nl101.vfemail.net with ESMTPA; 22 May 2020 16:17:02 -0000
Date: Fri, 22 May 2020 16:17:01 +0000
Message-ID: <20200522161701.Horde.aMO_CkGRKULMy9YUGZxNmsn@HIDDEN>
From: james@HIDDEN
To: bug-guix@HIDDEN
Subject: Found a bug
User-Agent: Horde Application Framework 5
X-VFEmail-Originating-IP: MTYyLjIxNy4xNTUuMTc=
X-VFEmail-AntiSpam: Notify admin@HIDDEN of any spam, and include
 VFEmail headers
Content-Type: multipart/alternative; boundary="=_lpKadEJlZ2ieq4Clg6MaK6J"
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=149.210.219.33; envelope-from=james@HIDDEN;
 helo=nl101-3.vfemail.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/05/22 12:17:02
X-ACL-Warn: Detected OS   = FreeBSD 9.x or newer
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, FREEMAIL_FROM=0.001, HTML_MESSAGE=0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 22 May 2020 12:27:17 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This message is in MIME format.

--=_lpKadEJlZ2ieq4Clg6MaK6J
Content-Type: text/plain; charset=utf-8; format=flowed; DelSp=Yes
Content-Description: Plaintext Message
Content-Disposition: inline
Content-Transfer-Encoding: 8bit

  Hello,

I ran into the following error running a `guix pull` this morning:

building  
/gnu/store/by0lyf5abb8c2wwyw0qz8798yzr6ihai-compute-guix-derivation.drv...
  ice-9/psyntax.scm:1585:32: In procedure expand-macro:
  Syntax error:
  unknown location: %origin: extraneous field initializers (sha256) in  
form (%origin (method url-fetch) (uri (string-append  
"mirror://gnu/bash/bash-" version ".tar.gz")) (sha256 (base32  
"0kgvfwqdcd90waczf4gx39xnrxzijhjrzyzv7s8v4w31qqm0za5l")) (patch-flags  
(quote ("-p0"))) (patches (cons (search-patch  
"bash-linux-pgrp-pipe.patch") %patch-series-5.0)))
  guix pull: error: You found a bug: the program  
'/gnu/store/fsch1y8hilmkg21rmgk256j3wfi2w7wk-compute-guix-derivation'
  failed to compute the derivation for Guix (version:  
"21051eb79efece62d3bda495ce554239ae7bbde2"; system: "x86_64-linux";
  host version: "fb5bb6bd9e451aa672e67573bf2911a5fc7b4d6d"; pull-version: 1).
  Please report it by email to <bug-guix@HIDDEN>.


If needed, here is the output of uname -a (hostname obfuscated):

   Linux hostname 4.15.0-99-generic #100-Ubuntu SMP Wed Apr 22  
20:32:56 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

Please let me know if I can supply any more information for your reference.

Thank you,
James
    

--=_lpKadEJlZ2ieq4Clg6MaK6J
Content-Type: text/html; charset=utf-8
Content-Description: HTML Message
Content-Disposition: inline

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
"http://www.w3.org/TR/REC-html40/loose.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title></title>
</head>
<body style="font-family:Arial;font-size:14px">
<div>Hello,<br>
<br>
I ran into the following error running a `guix pull` this morning:<br>
<br>
building /gnu/store/by0lyf5abb8c2wwyw0qz8798yzr6ihai-compute-guix-derivation.drv...</div>
<div>ice-9/psyntax.scm:1585:32: In procedure expand-macro:</div>
<div>Syntax error:</div>
<div>unknown location: %origin: extraneous field initializers (sha256) in form (%origin (method url-fetch) (uri (string-append "mirror://gnu/bash/bash-" version ".tar.gz")) (sha256 (base32 "0kgvfwqdcd90waczf4gx39xnrxzijhjrzyzv7s8v4w31qqm0za5l")) (patch-flags (quote ("-p0"))) (patches (cons (search-patch "bash-linux-pgrp-pipe.patch") %patch-series-5.0)))</div>
<div>guix pull: error: You found a bug: the program '/gnu/store/fsch1y8hilmkg21rmgk256j3wfi2w7wk-compute-guix-derivation'</div>
<div>failed to compute the derivation for Guix (version: "21051eb79efece62d3bda495ce554239ae7bbde2"; system: "x86_64-linux";</div>
<div>host version: "fb5bb6bd9e451aa672e67573bf2911a5fc7b4d6d"; pull-version: 1).</div>
<div>Please report it by email to &lt;bug-guix@HIDDEN&gt;.</div>
<div><br>
<br>
If needed, here is the output of uname -a (hostname obfuscated):<br>
<br>
<div>Linux hostname 4.15.0-99-generic #100-Ubuntu SMP Wed Apr 22 20:32:56 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux<br>
<br>
<br>
Please let me know if I can supply any more information for your reference.<br>
<br>
Thank you,<br>
James</div>
<div>&nbsp;</div>
</div>
<p><br></p>
</body>
</html>
--=_lpKadEJlZ2ieq4Clg6MaK6J--





Acknowledgement sent to james@HIDDEN:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#41462; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 23 May 2020 12:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.